---
title: 'bíogo: a simple high-performance bioinformatics toolkit for the Go language'
tags:
  - bioinformatics
  - toolkit
  - golang
authors:
 - name: R Daniel Kortschak
   orcid: 0000-0001-8295-2301
   affiliation: 1
 - name: Josh Bleecher Snyder
   orcid: 0000-0001-8327-7643
 - name: Manolis Maragkakis
   orcid: 0000-0002-3158-1763
   affiliation: 2
 - name: David L Adelson
   orcid: 0000-0003-2404-5636
   affiliation: 1
affiliations:
 - name: School of Biological Sciences, The University of Adelaide
   index: 1
 - name: Department of Pathology and Laboratory Medicine, Perelman School of Medicine, University of Pennsylvania
   index: 2
date: 6 January 2017
bibliography: paper.bib
---

# Summary

bíogo is a framework designed to ease development and maintenance of computationally intensive bioinformatics applications [@biogo].
The library is written in the Go programming language, a garbage-collected, strictly typed compiled language with built in support for concurrent processing, and performance comparable to C and Java.
It provides a variety of data types and utility functions to facilitate manipulation and analysis of large scale genomic and other biological data. bíogo uses a concise and expressive syntax, lowering the barriers to entry for researchers needing to process large data sets with custom analyses while retaining computational safety and ease of code review.
We believe bíogo provides an excellent environment for training and research in computational biology because of its combination of strict typing, simple and expressive syntax, and high performance.

# References
